Subject: Re: [PWE3] [mpls-tp] WG Poll for draft-lm-pwe3-mpls-tp-gal-in-pw-00

From: Greg Mirsky <[email-masked]>
Date: Tue, 5 Oct 2010 10:31:46 -0700

Dear Luca,
You wrote:
"This document actually greatly simplifies the packet inspection
mechanisms as the GAl is an exception label , and a clear indication
that the packet is an exception packet. In fact it is so easy that I
could should how even 12 year old hardware can support this new
mechanism easily , while it cannot support the CW method."

I don't see much benefit of extending GAL into MPLS-TP PW when compared with
PW VCCV Type 3 Control Channel (TTL==1). Type 3 CC has even better
size-wise efficiency if compared with the GAL approach as it adds only ACH,
not LSE and ACH. And I think that Type 3 will be as backward compatible as
GAL if not better.

And I have another concern that could have been already expressed but will
repeat it again as I can't find answer from authors of the draft.
By updating RFC 5586, the draft-lm-pwe3-mpls-tp-gal adds new Control Channel
type to PW VCCV. Thus the draft requires updates of RFC 5085 and Section 7
in particular. How that will be addressed by your proposal?

Regards,
Greg

On Tue, Sep 28, 2010 at 8:11 PM, Luca Martini <[email-masked]> wrote:

>  On 09/19/2010 11:19 AM, Yaakov Stein wrote:
> > Strongly do NOT support.
> >
> > Reasoning somewhat similar to Sasha's.
> >
> > At very least this violates the MPLS PW architecture requirement that the
> PW label
> > MUST be the bottom-of-stack ("inner" label). This complicates packet
> inspection mechanisms.
> > (Yes I know that the FAT label also messes this up, but I am against that
> too,
> > and in any case hope that it will not be widely employed.)
> >
> Yaakov, as you know we already have the "fat Pw" document which dictates
> another label at the bottom of the stack. So I'm not sure that it makes
> any difference of we have another label at the bottom of the stack of
> OAM packets only.
>
> This document actually greatly simplifies the packet inspection
> mechanisms as the GAl is an exception label , and a clear indication
> that the packet is an exception packet. In fact it is so easy that I
> could should how even 12 year old hardware can support this new
> mechanism easily , while it cannot support the CW method.
>
> > I understand the problem with existing implementations that do not employ
> the CW.
> > I believe that this practice should be obsoleted
> > (yes, even at the expense of the overhead for small frames).
> > Existing implementations in any case will break when the PW label is
> above a 13,
> > so the proposal does not solve their problem.
> Since this document does not even specify how the GAL will be used with
> PWs in MPLS-TP ( note that it is already used in this way in MPLS )
> Can you please explain how you come to this conclusion ? Maybe you have
> read some document I did not ?
>
> > I think the best way of identifying the associated channel is
> > 1) for PW - CW with 0001
> > 2) for obsolete PW with no CW (and ONLY for this case) - TTL expiry
> > 3) for non-PW - GAL.
> >
> > Note that 3) can be considered as a sub-case of 1),
> > where the GAL is a default PW label signifying "no PW".
> > So the only special case is for "old" PWs.
> >
> How can you call "obsolete " the most common deployment of PWs ?
> Back in 1998 I would have easily picket the GAL method if I thought it
> had a chance to get a reserved label allocated to it. Clearly indicating
> that the payload is not IP in a packet is a big advantage if a packet
> end up in a random location due to mis-forwarding.
>
> Luca
>
> > Y(J)S
> >
> >
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Bocci, Matthew (Matthew)
> > Sent: Thursday, September 16, 2010 14:07
> > To: [email-masked]; [email-masked]
> > Subject: [PWE3] WG Poll for draft-lm-pwe3-mpls-tp-gal-in-pw-00
> >
> > The authors of draft-lm-pwe3-mpls-tp-gal-in-pw-00 have requested that
> this draft be made a PWE3 working group draft.
> >
> > This email starts a two week poll, closing 30th September, to help judge
> the consensus for this.
> >
> > Please rely with yes or no to the PWE3 list.
> >
> > Regards,
> >
> > Matthew and Andy
> > _______________________________________________
> > pwe3 mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/pwe3
> > _______________________________________________
> > mpls-tp mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/mpls-tp
>
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pwe3
>

---

From: Jiang Yuanlong <[email-masked]>
Date: Thu, 14 Oct 2010 15:24:10 +0800

Hello Greg,

Type 3 CC adds ACH only when control word is enabled for a PW, while GAL 
approach may work with control word disabled (i.e., each packets with client 
traffic needs not carry a control word). Therefore, I think the latter is 
more bandwidth efficient and maybe find its use in Ethernet PW.

 Regards
Yuanlong

----- Original Message ----- 
From: Greg Mirsky
To: Luca Martini
Cc: Yaakov Stein ; [email-masked] ; [email-masked]
Sent: Wednesday, October 06, 2010 1:31 AM
Subject: Re: [PWE3] [mpls-tp] WG Poll for draft-lm-pwe3-mpls-tp-gal-in-pw-00

Dear Luca,
You wrote:

I don't see much benefit of extending GAL into MPLS-TP PW when compared with 
PW VCCV Type 3 Control Channel (TTL==1). Type 3 CC has even better size-wise 
efficiency if compared with the GAL approach as it adds only ACH, not LSE 
and ACH. And I think that Type 3 will be as backward compatible as GAL if 
not better.

Regards,
Greg

> Existing implementations in any case will break when the PW label is above 
> a 13,

Luca

> The authors of draft-lm-pwe3-mpls-tp-gal-in-pw-00 have requested that this 
> draft be made a PWE3 working group draft.
>

---

From: Luca Martini <[email-masked]>
Date: Thu, 14 Oct 2010 12:32:23 -0600

On 10/05/10 11:31, Greg Mirsky wrote:
> I don't see much benefit of extending GAL into MPLS-TP PW when 
> compared with PW VCCV Type 3 Control Channel (TTL==1). Type 3 CC has 
> even better size-wise efficiency if compared with the GAL approach as 
> it adds only ACH, not LSE and ACH. And I think that Type 3 will be as 
> backward compatible as GAL if not better.
>
yes , it is more efficient but not as safe. with VCCV type 3 , you can , 
by mistake forward a packet out to an attachment circuit , while with a 
new mode ( not yet defined ) that would use the GAL , you would not have 
this problem.
Also I'm not sure the efficiency argument is very relevant , as the VCCV 
should always be a minuscule percentage of the total PW traffic.

> And I have another concern that could have been already expressed but 
> will repeat it again as I can't find answer from authors of the draft.
> By updating RFC 5586, the draft-lm-pwe3-mpls-tp-gal adds new Control 
> Channel type to PW VCCV. Thus the draft requires updates of RFC 5085 
> and Section 7 in particular. How that will be addressed by your proposal?
>

Since this is only a very minor part of the document , there is no need 
to update the complete RFC.
This RFC will be more recent, and will have a back pointer to 5586.
Luca

> Regards,
> Greg
>
> On Tue, Sep 28, 2010 at 8:11 PM, Luca Martini <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     > At very least this violates the MPLS PW architecture requirement
>     that the PW label
>     > MUST be the bottom-of-stack ("inner" label). This complicates
>     packet inspection mechanisms.
>     > (Yes I know that the FAT label also messes this up, but I am
>     against that too,
>     > I understand the problem with existing implementations that do
>     not employ the CW.
>     > Existing implementations in any case will break when the PW
>     label is above a 13,
>     > From: [email-masked] <mailto:[email-masked]>
>     [mailto:[email-masked] <mailto:[email-masked]>] On
>     Behalf Of Bocci, Matthew (Matthew)
>     > To: [email-masked] <mailto:[email-masked]>; [email-masked]
>     <mailto:[email-masked]>
>     > The authors of draft-lm-pwe3-mpls-tp-gal-in-pw-00 have requested
>     that this draft be made a PWE3 working group draft.
>     >
>     > This email starts a two week poll, closing 30th September, to
>     help judge the consensus for this.
>     >
>     > [email-masked] <mailto:[email-masked]>
>     > [email-masked] <mailto:[email-masked]>
>     [email-masked] <mailto:[email-masked]>

---

From: "Bocci, Matthew (Matthew)" <[email-masked]>
Date: Fri, 22 Oct 2010 19:18:13 +0200

I believe there is sufficient consensus to pursue this as a working group document.

Would the authors please publish the next version as a PWE3 WG draft.

Regards

Matthew

> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Jie Dong
> Sent: 25 September 2010 04:39
> To: [email-masked]; [email-masked]
> Subject: Re: [PWE3] WG Poll for draft-lm-pwe3-mpls-tp-gal-in-pw-00
> 
> Yes/Support
> 
> 
> Best regards,
> Jie
> 
> > From: [email-masked] [mailto:[email-masked]] 
> On Behalf 
> > Of Bocci, Matthew (Matthew)
> > Sent: Thursday, September 16, 2010 8:07 PM
> the
> > consensus for this.

---

From: Yaakov Stein <[email-masked]>
Date: Mon, 25 Oct 2010 18:28:13 +0200

Matthew

Is this mechanism a candidate for deprecation as part of the move to reduce the number of VCCV types ?

If not, we will need at least three MUST SUPPORT modes
   1) TTL expiry  2) regular PW CW   3) this proposal
so why bother deprecating the others ?

Y(J)S

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Bocci, Matthew (Matthew)
Sent: Friday, October 22, 2010 19:18
To: [email-masked]
Subject: Re: [PWE3] WG Poll for draft-lm-pwe3-mpls-tp-gal-in-pw-00

Regards

Matthew

---

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 26 Oct 2010 16:57:49 +0200

Matthew, Yaakov and all,
I concur with Yaakov. IMHO and FWIW:

- VCCV Type 1 is already defined as mandatory for PWs that use the CW (see https://datatracker.ietf.org/doc/rfc5085/, Section 5.1.1). If we advance https://datatracker.ietf.org/doc/draft-delregno-pwe3-mandatory-control-word/, it will automatically become mandatory for all PWs excluding legacy
- VCCV Type 3 TTL expiration will be mandatory if we advance https://datatracker.ietf.org/doc/draft-delregno-pwe3-vccv-mandatory-features/ and also because this is the only way to provide segment-level VCCV in MS-PW. 
 - In order to protect MS-PWs from erroneously forwarding VCCV packets beyond the PW boundaries, VCCV Type 3 has to be combined with VCCV Type  1.

Is there an example of a problem that:
- a) Cannot be solved by using VCCV Type 1, VCCV Type 3 or their combination
- b) Can be solved by using the mechanism in draft-lm-pwe3-mpls-tp-gal-in-pw-00?

If  not, do we advance this draft just to advance it to a Historic RFC?

Regards,
     Sasha

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Yaakov Stein
Sent: Monday, October 25, 2010 6:28 PM
To: Bocci, Matthew (Matthew)
Cc: [email-masked]
Subject: Re: [PWE3] WG Poll for draft-lm-pwe3-mpls-tp-gal-in-pw-00

Matthew

Y(J)S

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Bocci, Matthew (Matthew)
Sent: Friday, October 22, 2010 19:18
To: [email-masked]
Subject: Re: [PWE3] WG Poll for draft-lm-pwe3-mpls-tp-gal-in-pw-00

Regards

Matthew

---

From: Luca Martini <[email-masked]>
Date: Tue, 26 Oct 2010 10:09:45 -0600

Yaakov,

As you might recall, this document has no relation to PW VCCV.
So the answer to your question is NO.
I would really like to have the VCCV  conversation , and maybe work
together on a proposal, but this is not the topic of this document.

I will be at the  Beijing meeting.
Thanks.
Luca

---

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 26 Oct 2010 19:23:50 +0200

Luca,
You've said that "this document has no relation to PW VCCV". I read this statement as meaning that no existing VCCV-related functionality is going to be re-mapped to the method proposed in this document.

If so, can you please explain which problem (or problems) it is going to solve? 

Regards,
     Sasha

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Luca Martini
Sent: Tuesday, October 26, 2010 6:10 PM
To: Yaakov Stein
Cc: [email-masked]
Subject: Re: [PWE3] WG Poll for draft-lm-pwe3-mpls-tp-gal-in-pw-00

 Yaakov,